unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, mTurtle2, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    PaintBox1: TPaintBox;
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
    turtle1 : TTurtle;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
  begin
  with turtle1 do begin
    cs;
    home;
    fd(100); lt(90);
    fd(100); lt(135);
    fd(100*sqrt(2)); rt(135);
    fd(100); rt(90);
    fd(100); rt(45);
    fd(50*sqrt(2)); rt(90);
    fd(50*sqrt(2)); rt(90);
    fd(100*sqrt(2));
    end;
  end;

procedure TForm1.Button2Click(Sender: TObject);
  begin
  with turtle1 do begin
    cs;
    home;
    Color := clblack;
    fd(100); lt(90);
    fd(100); lt(135);
    fd(100*sqrt(2)); rt(135);
    fd(100); rt(90);
    fd(100); rt(45);

    Color := clred;
    LineWidth := 3;
    fd(50*sqrt(2)); rt(90);
    fd(50*sqrt(2)); rt(90);

    Color := clblack;
    LineWidth := 1;
    fd(100*sqrt(2));
    end;
  end;

procedure TForm1.FormCreate(Sender: TObject);
  begin
  turtle1 := TTurtle.Create(PaintBox1);
  end;

procedure TForm1.FormResize(Sender: TObject);
  begin
  turtle1.Resize;
  end;

end.
